-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
* Watch My Domains Server v4.x Demo / Basic / Standard / Professional Edition
* Installation and setup
* Copyright 2010-2021, Softnik Technologies.
* https://softnik.com/
* 
* This document is accessible from the web at
* https://domainpunch.com/sed/changelog.php
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

4.20.591 May 11, 2023
=====================

1. This is a critical update. 
2. Maintenance update to facilitate upgrade to the upcoming new major version 6.
3. Applied a patch to fix an obscure vulnerability.


4.20.590 March 29, 2022
--------------

01. Added audit log entries when email alerts are sent / fails.

02. Prevents database modification if the database has been changed by a possible 
    newer version.
	
03. Fixed an issue that prevented cron jobs from executing properly when email
    settings are badly configured.

04. Minor fixes and improvements.


4.20.589 October 22, 2021
--------------

01. Improved options in Generic Identity Provider (SAML/SSO) Settings.

02. Minor fixes and improvements.


4.20.588 October 14, 2021
--------------

01. Improved display of pending delete domains.


4.20.587 October 13, 2021
--------------

01. Added extra API options for registrar API integration.

02. Added a Tool Box module to manage renewals, new registrations and name
    server changes at select registrars. The current beta version supports
	NameCheap.

03. Deactivating a user will now reset the user's Google Authenticator Setting.
    If a user has lost access to the Google Authenticator app, the
	administrator can simply deactivate the user and then activate again to
	reset the Authenticator key.

04. Added support for non standard port setting for databases. Please see
    config-extended-sample.php for details.

05. Minor bug fixes and changes.


4.20.583 July 06, 2021
--------------

01. Removed the option to select alerts on DNS record addition. This is no
    longer required because newly added domains will not trigger DNS 'added'
	alerts after the first DNS check.

02. Minor user interface improvements.


4.20.582 June 27, 2021
--------------

01. If all the DNS records of a domain are deleted, the last recorded DNS 
    entries for that domain are not deleted from the DB. After the recent changes 
	in build #578, this caused repeated 'record deleted' alerts to be generated 
	for these domains whenever the domain's DNS records are checked. This was 
	fixed.

02. Increased the default timeout for DNS queries.

03. Added an option to filter audit log entries. You can do this from the command
    line tool also using q=[word]. For example,

	php sed.php list=audit q=example.com

04. Improved the audit log data display.

05. Added and audit log entries for any DNS checks that timedout.


4.20.579 June 17, 2021
--------------

01. Added options to see domain home page screenshots in the 'monitor' module.

02. Added options to log screenshots of domain home pages using the command-line
    tool. Please see user-guide for more details.

03. Minor user interface improvements.


4.20.578 June 14, 2021
--------------

01. Added options to support viewing the domain's home page screenshot under the
    'Tools' tab. This requires using an appropriate script to log the webshots
	as <log folder>/webshots/<domain name>.jpg

02. Added options to also check for new / deleted DNS record entries. Previously
    the application checked only for changes to existing DNS records. There are
	some caveats here. Any new A,CNAME or TXT records will be found only if they
	are added as subdomains or TXT records to a domain (unless you are using
	AXFR). Enabling the monitoring of new records will cause every record to be
	logged as 'new' after the first-time DNS checks. So enable this only after
	you have completed at least one round of lookups. The deleted DNS records
	are monitored automatically if DNS record monitoring is enabled. The 'new'
	DNS record monitoring has to be enabled from the UI.

03. Fixed an issue that affected the queue processing in some installations if
    all reports are turned off.

04. Minor user interface improvements.


4.20.577 June 06, 2021
--------------

01. Added UI options to enable ping & HTTP status monitoring + subsequent email
	alerts. This is available from the 'Settings > DNS Record Monitoring &
	Alerts' pane.

02. Fixed a bug that sometimes caused Lookup and Report Scheduler to not be able
    to edit certain entries that had non alpha numeric characters in the names.

03. Fixed an issue that prevented custom logos from working in the domain monitor
    module.

04. Added an option to view changes from previously recorded raw WHOIS data. The
    registrar / registry data panes now have a drop down box to select dates
	corresponding to any available historical data. Selecting one will highlight
	the text that changed between current whois and whois as on the selected date.

05. Added a warning about PHP 8 not being supported.

06. Use PHP-INTL functions (if php-intl is installed) for IDN conversion

07. Minor user interface improvements.


4.20.569 May 02, 2021
--------------

01. Changed the icon used for 'Delete Domains' to make the UI consistent across
    toolbars. 
	
02. Minor UI label changes.


4.20.567 April 25, 2021
--------------

01. Added an option to domain data table to copy the selected domain names to
    the clipboard.
	
02. Added a 'Clear' button to the 'Add Domains' dialog to clear the entered
    data.
	
03. Added a 'safe delete' button to domain table footer that will delete only
    the domains that belong to the current category and no other. Any domain in 
	the list that is also a member of another category will not be deleted.
	
04. Minor user interface improvements.


4.20.565 March 03, 2021
--------------

01. Added support for entering domain names in the following format in one row.

	example.com:net:org:co.uk:us:in:biz

	or

	example:com:net:org:co.uk:us:in:biz

	The above will add the domains example.com,example.net,example.org, 
	example.co.uk, etc.

	You may also use comma (,) instead of colon (:).


4.20.564 January 25, 2021
--------------

01. Added an option to automatically append specified TLDs when words are 
    entered instead of domain names.
	
02. Minor CSS fixes and improvements

4.20.563 January 12, 2021
--------------

01. Fixed an issue that caused domain table to be empty if cookies are deleted 
    unless one of the column headers are clicked when using Oracle as the
    database.
	
02. Changed Let's Encrypt Certificate Issuer name to R3 in Report SQL. Existing
    installations will need to change this manually for the report that displays
	non Let's Encrypt certificates.
	
03. Minor CSS fixes and improvements


4.20.561 September 10, 2020
--------------

01. Changed the bootstrap version to 4.5.2 and JQuery to 3.5.1

02. Fixed an issue that sometimes caused duplicate display in domain monitor
    SSL data.

03. Minor fixes and improved error messages.


4.20.560 June 10, 2020
--------------

01. Fixed an issue that affected application update checks when it is enabled.


4.20.559 June 08, 2020
--------------

01. Fixed an issue with UI Settings dialog that sometimes prevented preview of
    Fonts.

02. Fixed an issue with web visibility data counts.

03. Minor fixes and UI changes.


4.20.558 May 19, 2020
--------------

01. Attach notes to DNS and SSL Rows. There are four notes columns available
    for each DNS & SSL row. For DNS rows the notes are attached to
    domain + subdomain + record type + record value combination. For SSL rows
    the notes are attached to domain + subdomain combination. Manually edited
    DNS and SSL rows will now retain the data for editable columns.

02. Changed the default DNS & SSL rows that can be edited. You can edit the
    following DNS / SSL Rows.

    ssl_valid_from, ssl_valid_to, ssl_issued_to, ssl_issued_by, subject_key_id,
    subject_alt_name, subject_alt_name_text, notes_a, notes_b, notes_c, notes_d,
    signature_type, serial

03. You can now re-arrange the schedulers in the reports module.

04. Fixed an issue that affected editing of DNS / SSL rows immediately after
    the corresponding grid table columns were modified.

05. Minor fixes and UI changes.


4.20.556 May 15, 2020
--------------

01. Improved domain monitor interface. Fixed an issue that made domain expiry
    day counts to show decimal places in some cases.

02. Added options in the SED command line tool to manage table indexes.

03. Improved startup speed for almost all operations. This also fixes the slow
    startup problem in some installations that use an Oracle database.

04. Added extra options to DNS alert settings. Specify what records are to be
    monitor and also delay email alerts so that fewer emails are generated.
    The alert emails are now formatted better.

05. Added options to enable monitoring for application updates. You can now
    specify an email address to get an alert when a new update is available.
    You can also see the latest available version in the 'about' pane if 
    application update monitoring is enabled.

06. Added new WHOIS data parsing option. You can now use {n} in the WHOIS
    parser token to pick a specific index when there are multiple occurrences
    of a token. For example, organization:{2}=>organization will pick the 2nd
	occurrence of the organization: entry in WHOIS output.

07. Added new stock images that could be used as backgrounds. License details
    of these files are also included in a file named licenses.txt in the same
    folder.

08. Changes to theme files and improvements in themes. Two extra themes added
    and two themes were renamed.

09. Name server records will be copied to the main domain table after a
    successful DNS lookup if WHOIS/RDAP settings are not available for a TLD.

10. Fixed an issue that affected indexing of custom domain data columns.

11. Added a sample report to view SSL certificates not issued by Let's Encrypt.

12. Fixed an issue that affected DNS record values when using PostgreSQL.

13. Added a config-extended-sample.php file that can be renamed to config.php
    and edited for initial configuration. This allows configuring multiple
    database choices and quickly switching to any one of them. Useful for
    testing different options before going to production installation.

14. Minor bug fixes and interface improvements.


4.20.554 April 17, 2020
--------------

01. Fixed a spurious alert problem that occurred in certain cases when a date
    field was left empty during manual edit.

02. Fixed an issue that prevented addition of custom queries with parameters
    that contained a single or double quote.

03. Added secondary domains from Central NIC into the public suffix list.


04. Minor bug fixes and interface improvements.


4.20.552 February 16, 2020
--------------

01. Fixed an issue in sed.php that affected updates when the application was
    originally installed with non default folder name.

02. Fixed an issue that cause a blank domain name to be added when the TLD is
    not listed in the domain suffix list.

03. Additional themes added.

04. Added a monitoring module to quickly find domains that require attention.

05. Added an option in administration module to select the default home page.

06. Minor bug fixes and interface improvements.


4.01.535 January 16, 2020
--------------

01. Minor bug fixes and interface improvements.


4.01.534 January 07, 2020
--------------

01. Minor bug fixes and interface improvements.

02. Fixed an issue that affected SSL/DNS lookups when multiple domains have 
    several hundred or more subdomains.


4.01.533 December 30, 2019
--------------

01. Added additional API methods.

02. Minor bug fixes and interface improvements.

03. Added SQL Query option to get domains that belong to a category. For example,
    You can use [IN_Business Domains] to get domains that belong to
	'Business Domains'.

4.01.531 December 04, 2019
--------------

01. Added support for RDAP lookups. You can now enable RDAP lookups instead of
    Whois for TLDs that have a valid RDAP server. You can access the RDAP
    options from the settings module.

02. Added additional options to control data table behavior. These include
    ability to disable inline editing, specify the filter search trigger
    interval, etc.

03. Added additional API methods.

04. Fixed an issue that prevented editing of data columns immediately after
    configuring the columns.

05. Minor bug fixes and interface improvements.


4.01.527 November 13, 2019
--------------

01. Added extensive download options that will allow download of CSV data
    of reports as well as domain table. Downloads can be scheduled as
	background tasks for large data sets that can't be generated immediately.

02. Improved date editing options.

03. Improved custom query builder. Added options to preview the generated SQL.

04. Added an option to display the current server time in the dashboard and
    report interfaces.

05. Improved the formatting of HTML reports.

06. A number of visual improvements to the Interface.

07. Improved lookup queue processing.

08. Improved 'Whois' data parsing.

09. Added options to disable setting access levels for critical data columns
    in domain table.

10. Fixed an issue that affected table display when access levels are set
    for columns that are named same in domain and subdomain tables.

11. Minor bug fixes.


4.0.524 October 25, 2019
--------------

01. Fixed an issue that affected viewing audit log (reported after 4.0.520 on
    some installations). Update if you have problems viewing audit log.


4.0.523 October 24, 2019
--------------

01. Improved whois server detection and domain parsing.

02. Added 'Whois Setup' option to the administration module for convenience.
    The 'Whois Setup' is already available from within the main domain table
    interface.

03. Added 'Public Suffix List' option to administration module. You can use
    this to better control the way domain names are parsed. This also includes
    a 'Test Domain Parser' that allows you to input sample domain names and
    see the domain parser output.

04. After this update, the application may be slightly slow to startup the
    first time it is opened. This is because of a database update.


4.0.522 October 21, 2019
--------------

01. Some registrars include links to images / logo in whois output that when
    displayed within the application caused browsers to complain about non ssl
    content in page. This was fixed by removing the image references.

02. Fixed an issue that caused errors with Boolean fields in queries created
    using Query Builder when using Oracle as the database.

03. Fixed an issue that affected SAML/SSO access using GenericIDP with Oracle,
    MS SQL or PostgreSQL database.

04. Various interface and performance improvements.


4.0.521 October 18, 2019
--------------

01. Improved the clean-up of domains when 'force added' using [] wrappers.

02. Added an option to enable/disable SAML strict mode for OneLogin.

03. Minor interface improvements.


4.0.520 October 17, 2019
--------------

01. Improved SAML / SSO support. Added a 'GenericIDP' option for SAML / SSO.
    You can use this for any identity Provider with standard endpoints and
    X509 Certificate (Google, SSOCircle, etc.)

02. Added option to the CLI tool (sed.php) to list the last 50 entries in
    the audit table. Use 'php sed.php list=audit' for this.

03. Improved Audit Logging.

04. Fixed a bug that caused duplicate domain entries because of case
    sensitivity when domains are 'force added' using [] wrappers.

05. Fixed an issue that affected inline-editing of the 'registrar' column.

06. Added an option to copy the cell content to clipboard when a domain table
    cell is clicked. This is available from under the 'Tools' tab in the main
    domain table interface.

07. Interface improvements.


4.0.518 October 09, 2019
--------------

01. Added -v option to sed.php (CLI tool) to show the current version.

02. Added option to do DNSBL checks on A and MX record IPs.

03. Audit log entries will be made when tables are automatically repaired.

04. Fixed a problem that affected the background colors in emailed reports.

05. Added 'Days' column for reports. This will show the days to expiry for
    domain or SSL based on which column is present in the data.

06. Added a robots.txt file in root folder to prevent search engine listing
    of the application when installed at HTML document root folder.

07. Fixed a problem that affected download of CSV reports in some cases.

08. Fixed an issue that displayed extra column check boxes in column setup
    panel even though the corresponding columns were already selected.

09. Better error handling when the whois server is not setup for a TLD.

10. When adding domain names you can wrap them in [] to force add as it is
    without trying to split into subdomains and domains.

11. Improved whois server detection.

12. Added support for PL domains. Previously this required manual
    configuration changes.

13. Minor interface changes.


4.0.515 October 03, 2019
--------------

01. Fixed an issue that sometimes affected refreshing of data imported from
    the older version 3 database.

02. You can now check if the configured registrar API keys are correct using
    the 'Test' button in the Administration > Setup Registrars / Data Sources
    panel.

03. You can hide/unhide the registrar API parameters when entering them in the
    Administration > Setup Registrars / Data Sources panel.

04. Deleting an already configured API profile will now require confirmation.

05. Fixed an issue that prevented queueing of domains when the refresh interval
    is set to 0 days in the 'Lookups' tab. After this update if this is set to
    zero, all domains that were checked before an hour will refreshed again
    (domains already checked within the last hour will be ignored). You can
    force a lookup on any domain by using the 'Lookup Domains' panel and setting
    the refresh interval to 0 seconds.

06. Application update using sed.php CLI tool requires PHP::zip to be installed.
    Added a check for this before attempting the unzip.

07. Added check for PHP::zip in verify.php module.

08. Added an option to automatically resize domain grid columns to fit the full
    width if the number of columns are less. This is accessible from the
    UI/theme selection panel.

09. Minor interface fixes.


4.0.513 September 28, 2019
--------------

01. Added support for Internet Explorer 11.

02. Improved the options for temporarily stopping whois lookups to specific
    servers.

03. Limited the error log display in Admin > Settings > Error Logs to 500 entries
    per daily log file.

04. Changed the log entry for stopped whois lookups from error to warning

05. Triggering email reports manually will not affect automatic email frequency. 

06. Minor interface fixes.


4.0.511 September 25, 2019
--------------

01. Changed the Reports module to display 'Subdomain Records' as the default
    report on startup.

02. Fixed an issue that prevented sorting by hostname in reports.

03. Fixed an issue that sometimes caused the report display to be empty till
    one of the header columns was clicked.

04. Fixed an issue that caused reports with only the header row to be emailed
    when there is no actual data.

05. Fixed an issue with automatic emailing of reports. Under some cases the
    domain records are missing from the emailed reports. Emailing was not
    affected if it is manually triggered from the interface. This is a
    continuation of the earlier fix in 4.0.507. This problem should be
    completely fixed now.


4.0.510 September 21, 2019
--------------

01. Added an option in SED command line tool for updating an installation.
    Running "php sed.php update" will check if an update is available and 
	download the latest version if it is available. It will then unzip it into
	the installation folder after confirmation.
	
02. Minor improvements in User Interface elements.

4.0.507 September 17, 2019
--------------

01. Fixed an issue with automatic emailing of reports. Under some cases the 
    domain records are missing from the emailed reports. Emailing was not 
    affected if it is manually triggered from the interface.	
	
02. Increased the width of the category count column

03. Improved the way minimum whois connection intervals and IP address rate
    limits are checked.
	
04. Minor bug fixes